aboutsummaryrefslogtreecommitdiffstats
path: root/testing/ruby-activerecord/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2011-06-14 10:59:50 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2011-06-14 10:59:50 +0000
commit79bec762b16565a135c233a1641207e872722f47 (patch)
tree402ffb8f1422e79bf7131f14ad57890c54dfb76b /testing/ruby-activerecord/APKBUILD
parent97e5d10cb8d1cb790befa044ea6f4235f7f39656 (diff)
downloadaports-79bec762b16565a135c233a1641207e872722f47.tar.gz
aports-79bec762b16565a135c233a1641207e872722f47.tar.bz2
aports-79bec762b16565a135c233a1641207e872722f47.tar.xz
testing/ruby-activerecord: new aport
Diffstat (limited to 'testing/ruby-activerecord/APKBUILD')
-rw-r--r--testing/ruby-activerecord/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/testing/ruby-activerecord/APKBUILD b/testing/ruby-activerecord/APKBUILD
new file mode 100644
index 0000000000..4835e88409
--- /dev/null
+++ b/testing/ruby-activerecord/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=ruby-activerecord
+_realname=activerecord
+pkgver=2.3.11
+pkgrel=0
+pkgdesc="Ruby ActiveRecord pattern (Fowler, PoEAA) for ORM"
+url="https://rubyforge.org/projects/activerecord/"
+arch="all"
+license="GPL"
+depends="ruby"
+depends_dev=
+makedepends="$depends_dev rubygems"
+install=""
+subpackages=""
+source=""
+
+_builddir="$srcdir"/$_realname-$pkgver
+
+build() {
+ mkdir -p "$_builddir" || return 1
+ local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
+ gem install $_realname -v $pkgver -i "$_builddir"$_gemdir \
+ --ignore-dependencies --verbose \
+ --no-rdoc --no-ri || return 1
+ rm -rf "$_builddir"$_gemdir/cache/
+}
+
+package() {
+ mkdir -p "$pkgdir" || return 1
+ cp -ra "$_builddir"/* "$pkgdir"/ || return 1
+}